## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_with check

# prevent library files from being installed
%global __cargo_is_lib() 0

%global crate libetebase

Name:           libetebase
Version:        0.5.6
Release:        %autorelease -b3
Summary:        C library for etebase

SourceLicense:  BSD-3-Clause
# FIXME: paste output of %%cargo_license_summary here
License:        # FIXME
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/etesync/libetebase/
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:          configurable-libdir-support.patch

BuildRequires:  cargo-rpm-macros >= 25
BuildRequires:  kf6-rpm-macros
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(openssl)

%global _description %{expand:
C library for etebase.}

%description %{_description}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
%{summary}.

%prep
%autosetup -n %{crate}-%{version} -p1
cargo vendor
%cargo_prep -v vendor

%build
%make_build PREFIX=%{_prefix} LIB=%{_lib} pkgconfig
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
readelf -d target/rpm/libetebase.so | grep SONAME
install -Dpm755 target/rpm/libetebase.so -T %{buildroot}%{_libdir}/libetebase.so.%{maj_ver_kf6}
ln -s libetebase.so.%{maj_ver_kf6} %{buildroot}%{_libdir}/libetebase.so

install -Dpm644 EtebaseConfig.cmake -t %{buildroot}%{_libdir}/cmake/Etebase/
install -Dpm644 target/etebase.pc -t %{buildroot}%{_libdir}/pkgconfig/
install -Dpm644 target/etebase.h -t %{buildroot}%{_includedir}/etebase/

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc ChangeLog.md
%doc README.md
%{_libdir}/libetebase.so.0

%files devel
%{_includedir}/etebase/
%{_libdir}/cmake/Etebase/
%{_libdir}/libetebase.so
%{_libdir}/pkgconfig/etebase.pc

%changelog
## START: Generated by rpmautospec
* Sat Jan 04 2025 John Doe <packager@example.com> - 0.5.6-3
- Uncommitted changes
## END: Generated by rpmautospec
